Bug 468384 - RFE: use virt-manager to create network bridges
RFE: use virt-manager to create network bridges
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F13VirtTarget
  Show dependency treegraph
Reported: 2008-10-24 10:10 EDT by Chris Snook
Modified: 2013-02-27 00:53 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-26 21:07:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Snook 2008-10-24 10:10:43 EDT
Description of problem:
virt-manager allows the administrator to select bridged network devices if they already exist, but has no capability to set them up, and gives no indication what the administrator must do to enable this.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start virt-manager
2. connect to a hypervisor, and open the details screen
3. attempt to create a new virtual network
Actual results:
NICs are marked "not bridged" and the bridged drop-down list is greyed out.

Expected results:
Ideally virt-manager should include a wizard to set up a network bridge.  At bare minimum, it should direct the user to documentation showing how to configure this manually.

Additional info:
http://wiki.libvirt.org/page/Networking might be a good place to start
Comment 1 Cole Robinson 2009-02-15 17:04:22 EST
There is work being done at the libvirt level for this, which would allow a regular user to perform this action (properly validated through PolicyKit), as well as create bridges on remote machines.

Until that work is completed, we can't do much.
Comment 2 bodhi.zazen 2009-06-13 01:11:57 EDT
I hope it is working soon :)

In the interim here is how to set up a bridged network :

Comment 3 Mark McLoughlin 2009-06-22 11:55:14 EDT
Here's the F-12 feature for this:

Comment 4 John Poelstra 2009-07-09 17:09:49 EDT
(In reply to comment #3)
> Here's the F-12 feature for this:
> https://fedoraproject.org/wiki/Features/Shared_Network_Interface  

FWIW, feature page has not been submitted for acceptance.
Comment 5 Mark McLoughlin 2009-10-13 11:12:43 EDT
Punting to F-13
Comment 6 Cole Robinson 2010-02-26 21:07:42 EST
This is now in rawhide, go to Edit->Host Details->Network Interfaces-> '+' to add various network device types.
Comment 7 Robin Green 2011-06-20 04:18:45 EDT
Doesn't appear to be in F15 - what am I missing?
Comment 8 kxra 2013-02-27 00:53:48 EST
Still a problem in the latest Fedora. Dropdown list says "No networking" and all NICs are greyed out saying "(Not bridged)".

Note You need to log in before you can comment on or make changes to this bug.